WordPress at a glance
function is not described

user_can_edit_post_date() WP 1.5.0

Deprecated in 2.0.0. It is no longer supported and can be removed in future releases. Use current_user_can() instead.

Whether user can delete a post.

  • See: current_user_can()

No Hooks.

Return

true/false. returns true if $user_id can edit $post_id's date

Usage

user_can_edit_post_date( $user_id, $post_id, $blog_id );
$user_id(int) (required)
$post_id(int) (required)
$blog_id(int)
Not Used
Default: 1

Code of user can edit post date: wp-includes/deprecated.php VER 5.0.3

<?php
function user_can_edit_post_date($user_id, $post_id, $blog_id = 1) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'current_user_can()' );

	$author_data = get_userdata($user_id);
	return (($author_data->user_level > 4) && user_can_edit_post($user_id, $post_id, $blog_id));
}